QGIS Application - Bug report #16268

Issue connecting QgsVectorLayer.committedAttributesAdded under QGIS3 Windows

2017-03-03 01:04 AM - enrico ferreguti

Status: Feedback

Priority: Normal

Assignee:

Category: Python plugins

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 24178
Description

| am migrating a plugin to QGIS3 and under Windows with the latest ggis-dev release(build 1182816)
| get an error connecting to well know QgsVectorLayer signals:
vectorlayer.committedAttributesAdded.connect(self.attributes_added) or
vectorlayer.committedFeaturesAdded.connect(self.features_added)

give:

TypeError: C++ type 'QList' is not supported as a signal argument type

asking in Qgis developer list Matthias Kuhn states that:

"here on fedora it works
def test(layer, features):
print(layer, features)
|.committedFeaturesAdded.connect(test)
So it seems to be a build issue, not a change in QGIS itself."

History

#1 - 2017-03-03 02:13 AM - Giovanni Manghi
- Target version set to Version 3.0
- Category set to Python plugins

#2 - 2017-05-01 01:01 AM - Giovanni Manghi
- Easy fix? set to No

- Regression? set to No

#3 - 2019-03-09 04:28 PM - Giovanni Manghi

- Status changed from Open to Feedback

Please check if this issue is still valid on QGIS 3.4.5 or 3.6.
